document.getElementById('saveBtn').addEventListener('click', function() {
    chrome.tabs.query({active: true, currentWindow: true}, function(tabs) {
        var currentTab = tabs[0];

        // Basic checks: must be on chatgpt.com/c/ or chatgpt.com/g/
        if (currentTab.url && currentTab.url.startsWith("https://chatgpt.com/")) {
            if (currentTab.url.includes("/c/") || currentTab.url.includes("/g/")) {

                // 1) Refresh the tab
                chrome.tabs.reload(currentTab.id, {}, function() {
                    // 2) Wait 2 seconds after refresh, then request the content
                    setTimeout(() => {
                        // Send message to content script
                        chrome.tabs.sendMessage(currentTab.id, { action: "saveText" }, function(response) {
                            if (chrome.runtime.lastError) {
                                // If we can't reach the content script for any reason
                                document.getElementById('status').textContent = "Error: " + chrome.runtime.lastError.message;
                            } else if (response && response.status === "success") {
                                document.getElementById('status').textContent = "Chat saved successfully.";
                            } else if (response && response.status === "error") {
                                document.getElementById('status').textContent = "Error: " + response.message;
                            } else {
                                document.getElementById('status').textContent = "No response from content script.";
                            }
                        });
                    }, 2000); // 2-second delay
                });

            } else {
                document.getElementById('status').textContent = "Please select a specific chat from the sidebar.";
            }
        } else {
            document.getElementById('status').textContent = "This button only works on ChatGPT pages.";
        }
    });
});


